org.richfaces.context

## Class ExtendedVisitContext

- java.lang.Object
- - javax.faces.component.visit.VisitContext
  - - javax.faces.component.visit.VisitContextWrapper
    - - org.richfaces.context.ExtendedVisitContext

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.component.visit.VisitContext>
  Direct Known Subclasses:
    BaseExtendedVisitContext

      public abstract class ExtendedVisitContext
      extends javax.faces.component.visit.VisitContextWrapper

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.visit.VisitContext

      `ALL_IDS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExtendedVisitContext(javax.faces.component.visit.VisitContext visitContextToWrap, javax.faces.context.FacesContext facesContext, ExtendedVisitContextMode visitMode)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `buildExtendedClientId(javax.faces.component.UIComponent component)`
    `String` | `buildExtendedComponentId(javax.faces.component.UIComponent component)`
    `abstract javax.faces.component.visit.VisitContext` | `createNamingContainerVisitContext(javax.faces.component.UIComponent component, Collection<String> directIds)`
    `abstract Collection<String>` | `getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
    `javax.faces.context.FacesContext` | `getFacesContext()`
    `ExtendedVisitContextMode` | `getVisitMode()`
    `javax.faces.component.visit.VisitContext` | `getWrapped()`
    `javax.faces.component.visit.VisitResult` | `invokeMetaComponentVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback, String metaComponentId)`

    - ### Methods inherited from class javax.faces.component.visit.VisitContextWrapper

      `getHints, getIdsToVisit, getSubtreeIdsToVisit, invokeVisitCallback`

    - ### Methods inherited from class javax.faces.component.visit.VisitContext

      `createVisitContext, createVisitContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### META_COMPONENT_ID

          public static final String META_COMPONENT_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtendedVisitContext

          protected ExtendedVisitContext(javax.faces.component.visit.VisitContext visitContextToWrap,
                                         javax.faces.context.FacesContext facesContext,
                                         ExtendedVisitContextMode visitMode)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.component.visit.VisitContext getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.component.visit.VisitContext>`
      Overrides:
        `getWrapped` in class `javax.faces.component.visit.VisitContextWrapper`

    - #### getVisitMode

          public ExtendedVisitContextMode getVisitMode()

    - #### invokeMetaComponentVisitCallback

          public javax.faces.component.visit.VisitResult invokeMetaComponentVisitCallback(javax.faces.component.UIComponent component,
                                                                                          javax.faces.component.visit.VisitCallback callback,
                                                                                          String metaComponentId)

    - #### buildExtendedClientId

          public String buildExtendedClientId(javax.faces.component.UIComponent component)

    - #### buildExtendedComponentId

          public String buildExtendedComponentId(javax.faces.component.UIComponent component)

    - #### getFacesContext

          public javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.visit.VisitContextWrapper`

    - #### getDirectSubtreeIdsToVisit

          public abstract Collection<String> getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)

    - #### createNamingContainerVisitContext

          public abstract javax.faces.component.visit.VisitContext createNamingContainerVisitContext(javax.faces.component.UIComponent component,
                                                                                                     Collection<String> directIds)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.